commit:     1f798af43be3ce96e0d71aff68f7eaa0505100f0
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 14 17:46:00 2015 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Nov 14 18:38:45 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1f798af4

dev-python/pygobject: Version bump

Package-Manager: portage-2.2.24

 dev-python/pygobject/Manifest                |   1 +
 dev-python/pygobject/pygobject-3.18.2.ebuild | 112 +++++++++++++++++++++++++++
 2 files changed, 113 insertions(+)

diff --git a/dev-python/pygobject/Manifest b/dev-python/pygobject/Manifest
index f1d90b1..2b508da 100644
--- a/dev-python/pygobject/Manifest
+++ b/dev-python/pygobject/Manifest
@@ -3,3 +3,4 @@ DIST pygobject-3.12.2.tar.xz 702176 SHA256 
7e7a3d349acf5bb4b68f8539a42e67958840a
 DIST pygobject-3.14.0.tar.xz 720128 SHA256 
779effa93f4b59cdb72f4ab0128fb3fd82900bf686193b570fd3a8ce63392d54 SHA512 
f6e1e5826a6afe81eb0a37bb554b433769622f8a0d17ac9836498425d70c4583cf8157027a555c21fd7a0d6686863c7803a350550665a375a906fccdabca2090
 WHIRLPOOL 
0a665504b792691238b89d2704ce1cc024f89ddf96fd6b626f1f5b05dbccfd633e61f9b45b0ca09873029c576b9804edcfa77e1bceae9e995be44a3fd60852ca
 DIST pygobject-3.16.1.tar.xz 725220 SHA256 
7d96dad050f15ec1688617b749bb485811842de46a22d31f9396023e8eaa1ec3 SHA512 
f32db7620b6714fdc780ec28c282566c0e662648a53f37b2466cbed609d1cbbbf998e30fd42d24ae1e5c0334656b04276dd3a8bf210f9b93f2bfb66f305f7a72
 WHIRLPOOL 
7f3257f1743510d1c602d797bce4722f6f987676dee4186b7026277f94412663bef0b1e70519030e890ad330eb2cb2cdb7ac7bf8060d9c4a0aca019bd7d4f1a2
 DIST pygobject-3.16.2.tar.xz 725544 SHA256 
de620e00fe7ecb788aa2dc0d664e41f71b8e718e728168e8d982cf193a9e7e64 SHA512 
9a742db4b05fdf0cf2b7bb9139d5f43b4a4e25b4652e8bd3aa8d6f64b03b745b57c047dfc95335045126d0dd4c797989d95d6a1bdb4752cab8e04146470653bf
 WHIRLPOOL 
d39b5f23ca33f4331582fd8229a348db679b1db1b9f5daff2639a03ec70f31bfcf2f7ac7a67cc3d54a2444faa228b878fdd9556110af10c3246087a634ba88e3
+DIST pygobject-3.18.2.tar.xz 730220 SHA256 
2a3cad1517916b74e131e6002c3824361aee0671ffb0d55ded119477fc1c2c5f SHA512 
8001efdbfb07caa23d2e1024e90c5db7478468b2e8de319fb25695e69e5898524ebccc8b69edcedb71ff02d9fe333448986cc5a22014f8661230fd5acdffa19e
 WHIRLPOOL 
fe3002baaf7ef347efa7e3c0c1d22c5c5927133a8b86ebf7a634cae0517eab16eac38fe7c34e513ebdabce4993674ec3cac63a0fc2445d718e9d0bfbf95300fc

diff --git a/dev-python/pygobject/pygobject-3.18.2.ebuild 
b/dev-python/pygobject/pygobject-3.18.2.ebuild
new file mode 100644
index 0000000..a09e5f3
--- /dev/null
+++ b/dev-python/pygobject/pygobject-3.18.2.ebuild
@@ -0,0 +1,112 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} )
+
+inherit eutils gnome2 python-r1 virtualx
+
+DESCRIPTION="GLib's GObject library bindings for Python"
+HOMEPAGE="https://wiki.gnome.org/Projects/PyGObject";
+
+LICENSE="LGPL-2.1+"
+SLOT="3"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc 
~x86 ~amd64-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos 
~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="+cairo examples test +threads"
+
+REQUIRED_USE="
+       ${PYTHON_REQUIRED_USE}
+       test? ( cairo )
+"
+
+COMMON_DEPEND="${PYTHON_DEPS}
+       >=dev-libs/glib-2.38:2
+       >=dev-libs/gobject-introspection-1.39:=
+       virtual/libffi:=
+       cairo? (
+               >=dev-python/pycairo-1.10.0[${PYTHON_USEDEP}]
+               x11-libs/cairo )
+"
+DEPEND="${COMMON_DEPEND}
+       virtual/pkgconfig
+       cairo? ( x11-libs/cairo[glib] )
+       test? (
+               dev-libs/atk[introspection]
+               media-fonts/font-cursor-misc
+               media-fonts/font-misc-misc
+               x11-libs/cairo[glib]
+               x11-libs/gdk-pixbuf:2[introspection]
+               x11-libs/gtk+:3[introspection]
+               x11-libs/pango[introspection]
+               !sparc? ( python_targets_python2_7? ( 
dev-python/pyflakes[$(python_gen_usedep python2_7)] ) ) )
+"
+# FIXME: remove "!sparc?" automagic nonsense above when pyflakes is
+# keyworded on sparc, bug #553380
+
+# gnome-base/gnome-common required by eautoreconf
+
+# We now disable introspection support in slot 2 per upstream recommendation
+# (see https://bugzilla.gnome.org/show_bug.cgi?id=642048#c9); however,
+# older versions of slot 2 installed their own site-packages/gi, and
+# slot 3 will collide with them.
+RDEPEND="${COMMON_DEPEND}
+       !<dev-python/pygtk-2.13
+       !<dev-python/pygobject-2.28.6-r50:2[introspection]
+"
+
+src_prepare() {
+       gnome2_src_prepare
+       python_copy_sources
+}
+
+src_configure() {
+       # Hard-enable libffi support since both gobject-introspection and
+       # glib-2.29.x rdepend on it anyway
+       # docs disabled by upstream default since they are very out of date
+       configuring() {
+               gnome2_src_configure \
+                       $(use_enable cairo) \
+                       $(use_enable threads thread)
+
+               # Pyflakes tests work only in python2, bug #516744
+               if use test && [[ ${EPYTHON} != python2.7 ]]; then
+                       sed -e 's/if type pyflakes/if false/' \
+                               -i Makefile || die "sed failed"
+               fi
+       }
+
+       python_foreach_impl run_in_build_dir configuring
+}
+
+src_compile() {
+       python_foreach_impl run_in_build_dir gnome2_src_compile
+}
+
+src_test() {
+       unset DBUS_SESSION_BUS_ADDRESS
+       export GIO_USE_VFS="local" # prevents odd issues with deleting 
${T}/.gvfs
+       export GIO_USE_VOLUME_MONITOR="unix" # prevent udisks-related failures 
in chroots, bug #449484
+       export SKIP_PEP8="yes"
+
+       testing() {
+               export XDG_CACHE_HOME="${T}/${EPYTHON}"
+               run_in_build_dir Xemake check
+               unset XDG_CACHE_HOME
+       }
+       python_foreach_impl testing
+       unset GIO_USE_VFS
+}
+
+src_install() {
+       DOCS="AUTHORS ChangeLog* NEWS README"
+
+       python_foreach_impl run_in_build_dir gnome2_src_install
+
+       if use examples; then
+               insinto /usr/share/doc/${PF}
+               doins -r examples
+       fi
+}

Reply via email to